Bug 973754 - Unable to access namespace after a deletion has failed [NEEDINFO]
Summary: Unable to access namespace after a deletion has failed
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 3.0
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
: 4.0
Assignee: Don Howard
QA Contact: Ami Jeain
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-06-12 15:45 UTC by Gary Kotton
Modified: 2016-04-26 13:28 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-23 11:23:19 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tgraf: needinfo? (gkotton)


Attachments (Terms of Use)

Description Gary Kotton 2013-06-12 15:45:30 UTC
Description of problem:
If the deleteion of a namespace fails (for example run  quantum-netns-cleanup --force), then one is unable to access the namsepace from that moment on:

[root@dhcp-4-126 ~]# ip netns exec qdhcp-412dc916-6975-4956-9be0-0dac739657e0 ip link
seting the network namespace failed: Invalid argument


Version-Release number of selected component (if applicable):
Linux dhcp-4-126.tlv.redhat.com 2.6.32-358.6.2.openstack.el6.x86_64 #1 SMP Wed May 29 19:20:22 EDT 2013 x86_64 x86_64 x86_64 GNU/Linux

How reproducible:
Every time

Steps to Reproduce:
1. Ensure that dhcp agent has created namespace
2. Run  quantum-netns-cleanup --force (this fails with deletion of namespace)
3. Try and access namespace

Actual results:


Expected results:


Additional info:

Comment 2 Thomas Graf 2013-06-17 14:43:57 UTC
Can you somehow reproduce that without the use of quantum? I can't get the namespace deletion to fail.


Note You need to log in before you can comment on or make changes to this bug.